import QtQuick              2.7
import QtQuick.Layouts      1.3
import QtQuick.Controls     2.0
import QtDataVisualization  1.2

Item {
    id: window
    Bars3D {
        id: bars3D
        anchors.fill: parent
        seriesList: [series1, series2]
    }
    ColumnLayout {
        CheckBox {
            text: "Series1.visible"
            checked: series1.visible
            onClicked: series1.visible = checked
        }
        CheckBox {
            text: "Series2.visible"
            checked: series2.visible
            onClicked: series2.visible = checked
        }
        CheckBox {
            text: "valueAxis.autoAdjustRange"
            checked: bars3D.valueAxis.autoAdjustRange
            onClicked: bars3D.valueAxis.autoAdjustRange = checked
        }
    }
}

